Subject: bug#70038: 29.3.50; Shift up/down in buffer with images on M-x other-window with some fonts

From: Po Lu <[email-masked]>
Date: Sun, 28 Apr 2024 17:15:49 +0800

martin rudalics <[email-masked]> writes:

>> Where would you like to put the comment, and what should that comment
>> say?
>
> There are three issues I don't understand well in this context.  The
> first one concerns the preserve_vscroll_p flag we currently check as:
>
>       if (!w->preserve_vscroll_p && !window_frozen_p (w))
> 	w->vscroll = 0;
>
> Here, in all scenarios I tried, I observed that w->preserve_vscroll_p

???  Have you enabled pixel-scroll-precision-mode, for which this flag
was introduced?  p-s-p-m relies on vscroll values that it sets being
preserved by force_start in all scenarios, which naturally includes
those where the window start is frozen, just as it does those where it
is variable.